<?php
/**
 * Active Callbacks
 *
 * @package jewelry_accessories
 */

// Theme Options.
function jewelry_accessories_is_pagination_enabled( $jewelry_accessories_control ) {
	return ( $jewelry_accessories_control->manager->get_setting( 'jewelry_accessories_enable_pagination' )->value() );
}
function jewelry_accessories_is_breadcrumb_enabled( $jewelry_accessories_control ) {
	return ( $jewelry_accessories_control->manager->get_setting( 'jewelry_accessories_enable_breadcrumb' )->value() );
}
function jewelry_accessories_is_layout_enabled( $jewelry_accessories_control ) {
	return ( $jewelry_accessories_control->manager->get_setting( 'jewelry_accessories_website_layout' )->value() );
}
function jewelry_accessories_is_pagetitle_bcakground_image_enabled( $jewelry_accessories_control ) {
	return ( $jewelry_accessories_control->manager->get_setting( 'jewelry_accessories_page_header_style' )->value() );
}
function jewelry_accessories_is_preloader_style( $jewelry_accessories_control ) {
	return ( $jewelry_accessories_control->manager->get_setting( 'jewelry_accessories_enable_preloader' )->value() );
}

// Header Options.
function jewelry_accessories_is_topbar_enabled( $jewelry_accessories_control ) {
	return ( $jewelry_accessories_control->manager->get_Setting( 'jewelry_accessories_enable_topbar' )->value() );
}

// Banner Slider Section.
function jewelry_accessories_is_banner_slider_section_enabled( $jewelry_accessories_control ) {
	return ( $jewelry_accessories_control->manager->get_setting( 'jewelry_accessories_enable_banner_section' )->value() );
}
function jewelry_accessories_is_banner_slider_section_and_content_type_post_enabled( $jewelry_accessories_control ) {
	$jewelry_accessories_content_type = $jewelry_accessories_control->manager->get_setting( 'jewelry_accessories_banner_slider_content_type' )->value();
	return ( jewelry_accessories_is_banner_slider_section_enabled( $jewelry_accessories_control ) && ( 'post' === $jewelry_accessories_content_type ) );
}
function jewelry_accessories_is_banner_slider_section_and_content_type_page_enabled( $jewelry_accessories_control ) {
	$jewelry_accessories_content_type = $jewelry_accessories_control->manager->get_setting( 'jewelry_accessories_banner_slider_content_type' )->value();
	return ( jewelry_accessories_is_banner_slider_section_enabled( $jewelry_accessories_control ) && ( 'page' === $jewelry_accessories_content_type ) );
}

// Product section.
function jewelry_accessories_is_post_tab_section_and_content_type_page_enabled( $jewelry_accessories_control ) {
	$jewelry_accessories_content_type = $jewelry_accessories_control->manager->get_setting( 'jewelry_accessories_banner_slider_content_type' )->value();
	return ( jewelry_accessories_is_banner_slider_section_enabled( $jewelry_accessories_control ) && ( 'page' === $jewelry_accessories_content_type ) );
}
function jewelry_accessories_is_post_tab_section_and_content_type_post_enabled( $jewelry_accessories_control ) {
	$jewelry_accessories_content_type = $jewelry_accessories_control->manager->get_setting( 'jewelry_accessories_banner_slider_content_type' )->value();
	return ( jewelry_accessories_is_banner_slider_section_enabled( $jewelry_accessories_control ) && ( 'post' === $jewelry_accessories_content_type ) );
}
function jewelry_accessories_is_product_section_enabled( $jewelry_accessories_control ) {
	return ( $jewelry_accessories_control->manager->get_setting( 'jewelry_accessories_enable_product_section' )->value() );
}
function jewelry_accessories_is_product_section_and_content_type_post_enabled( $jewelry_accessories_control ) {
	$jewelry_accessories_content_type = $jewelry_accessories_control->manager->get_setting( 'jewelry_accessories_product_content_type' )->value();
	return ( jewelry_accessories_is_product_section_enabled( $jewelry_accessories_control ) && ( 'post' === $jewelry_accessories_content_type ) );
}
function jewelry_accessories_is_product_section_and_content_type_page_enabled( $jewelry_accessories_control ) {
	$jewelry_accessories_content_type = $jewelry_accessories_control->manager->get_setting( 'jewelry_accessories_product_content_type' )->value();
	return ( jewelry_accessories_is_product_section_enabled( $jewelry_accessories_control ) && ( 'page' === $jewelry_accessories_content_type ) );
}